Subject: Re: Performance of New Installation
From: ratmice <[email-masked]>
To: [email-masked]
Date: Fri, 02 Aug 2002 11:45:03 -0700
Newsgroups: gmane.os.cygwin

You know, I noticed something very similar a few days ago, not while 
configuring something but while compiling something, what I've been 
working on generally takes a few minutes to compile... though when I 
have an xterm open in XFree86, maximized to it's largest size it takes 
considerably longer.....

Alex Hole wrote:
> Hello,
>     I have just installed the latest version of cygwin and all the installed
> packages are the latest.  My problem is that in trying to compile gdb for a
> cross platform target, the configure script took more that 2 hours to run.
> In fact it would have taken longer but I killed it.  I don't think this is
> expected behaviour on a Pentium III with 64 MB.  Is it(Is the computer under
> powered)?
> 
> I've looked in the mailling list archives and find only vaguely similar
> problems and thus assume it is a configuration problem.  I've looked at the
> FAQ
> and User Manual.  I have no // in the path as it is a new installation and
> no other ideas were present.
> 
> Has anyone any idea why the script should run so slow?
> NOTE:  Performing simple tasks on the system seems OK. However command such
> as 'ls' maybe a bit slow.
> 
> Thanks in advance for any help
> 
> Alex
> 
> The setup details are as follows:
> 
> uname o/p  CYGWIN_98-4.10 ACHILLES 1.3.12<0.54/3/2> 2002-07-02 i686 unknow
> 
> cygcheck o/p :
> 
> Cygwin Win95/NT Configuration Diagnostics
> Current System Time: Fri Aug 02 16:04:55 2002
> 
> Windows 98 SE Ver 4.10 Build 2222
> 
> Path: C:\cygwin\usr\local\bin
>  C:\cygwin\bin
>  C:\cygwin\bin
>  c:\PROGRA~1\BORLAND\CBUILD~1\BIN
>  c:\PROGRA~1\BORLAND\CBUILD~1\PROJECTS\BPL
>  c:\PROGRA~1\BORLAND\CBUILD~1\BIN
>  c:\PROGRA~1\BORLAND\CBUILD~1\PROJECTS\BPL
>  c:\WINDOWS
>  c:\WINDOWS
>  c:\WINDOWS\COMMAND
>  c:\WINDOWS\COMMAND
>  c:\SOFTWARE\PICC
>  c:\HT-PIC\BIN\
>  .
>  c:\PROGRA~1\BORLAND\DELPHI4\BIN
>  c:\VIM\VIM57
>  c:\TC\BIN
>  c:\JDK1.3\BIN
>  c:\RHAPSODY\REPORTER\DOCIT\BIN
>  C:\cygwin\usr\X11R6\bin
> 
> SysDir: C:\WINDOWS\SYSTEM
> WinDir: C:\WINDOWS
> 
> HOME = `C:\cygwin\home\adh'
> MAKE_MODE = `unix'
> PWD = `/home/adh'
> USER = `adh'
> 
> ATAHOME = `C:\Rhapsody\Reporter'
> CMDLINE = `bash --login -i'
> COMSPEC = `C:\COMMAND.COM'
> HOMEDRIVE = `C:'
> HOMEPATH = `\cygwin\home\adh'
> JAVAHOME = `C:\jdk1.3\bin'
> LM_LICENSE_FILE = `C:\Rhapsody\flexlm\license.dat'
> MANPATH = `:/usr/ssl/man'
> OLDPWD = `/usr/bin'
> PCINCLUDE = `C:\SOFTWARE\PICC\EXAMPLES'
> PROMPT = `$p$g'
> PS1 = `\[\033]0;\w\007
> \033[32m\]\u@\h \[\033[33m\w\033[0m\]
> $ '
> SHLVL = `1'
> TEMP = `c:\WINDOWS\TEMP'
> TERM = `cygwin'
> TMP = `c:\windows\TEMP'
> VIM = `C:\vim'
> WINBOOTDIR = `C:\WINDOWS'
> WINDIR = `C:\WINDOWS'
> _ = `/usr/bin/cygcheck'
> 
> HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrd
> er\Start Menu\&Programs\Cygnus
>   (default) = (unsupported type)
> HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrd
> er\Start Menu\&Programs\Cygnus Solutions
>   (default) = (unsupported type)
> HKEY_CURRENT_USER\Software\Cygnus Solutions
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2
>   (default) = `/cygdrive'
>   cygdrive flags = 0x00000022
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/
>   (default) = `C:\cygwin'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
>   (default) = `C:\cygwin/bin'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
>   (default) = `C:\cygwin/lib'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts
> v2\/usr/X11R6/lib/X11/fonts
>   (default) = `C:\cygwin\usr\X11R6\lib\X11\fonts'
>   flags = 0x0000000a
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\Program Options
> 
> a:  fd           N/A    N/A
> c:  hd  FAT32   8040Mb  58% CP    UN
> d:  cd  CDFS     140Mb 100%       UN           EVB2623F
> 
> C:\cygwin                          /                         system  binmode
> C:\cygwin/bin                      /usr/bin                  system  binmode
> C:\cygwin/lib                      /usr/lib                  system  binmode
> C:\cygwin\usr\X11R6\lib\X11\fonts  /usr/X11R6/lib/X11/fonts  system  binmode
> .                                  /cygdrive                 user
> binmode,cygdrive
> 
> Found: C:\cygwin\bin\bash.exe
> Found: C:\cygwin\bin\cat.exe
> Found: C:\cygwin\bin\cpp.exe
> Found: c:\HT-PIC\BIN\cpp.exe
> Warning: C:\cygwin\bin\cpp.exe hides c:\HT-PIC\BIN\cpp.exe
> Found: c:\TC\BIN\cpp.exe
> Warning: C:\cygwin\bin\cpp.exe hides c:\TC\BIN\cpp.exe
> Found: C:\cygwin\bin\find.exe
> Found: c:\WINDOWS\COMMAND\find.exe
> Warning: C:\cygwin\bin\find.exe hides c:\WINDOWS\COMMAND\find.exe
> Found: C:\cygwin\bin\gcc.exe
> Found: C:\cygwin\bin\gdb.exe
> Found: C:\cygwin\bin\ld.exe
> Found: C:\cygwin\bin\ls.exe
> Found: C:\cygwin\bin\make.exe
> Found: c:\PROGRA~1\BORLAND\DELPHI4\BIN\make.exe
> Warning: C:\cygwin\bin\make.exe hides
> c:\PROGRA~1\BORLAND\DELPHI4\BIN\make.exe
> Found: c:\TC\BIN\make.exe
> Warning: C:\cygwin\bin\make.exe hides c:\TC\BIN\make.exe
> Found: C:\cygwin\bin\sh.exe
> 
>    81k 2001/10/20 C:\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
>                   "cygitcl30.dll" v0.0 ts=2001/10/20 1:25
>    35k 2001/10/20 C:\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
>                   "cygitk30.dll" v0.0 ts=2001/10/20 1:25
>   390k 2001/10/20 C:\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtcl80.dll" v0.0 ts=2001/10/20 1:24
>     5k 2001/10/20 C:\cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
>    10k 2001/10/20 C:\cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtclreg80.dll" v0.0 ts=2001/10/20 1:24
>   623k 2001/10/20 C:\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtk80.dll" v0.0 ts=2001/10/20 1:25
>    19k 2002/02/20 C:\cygwin\bin\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
>                   "cyggdbm.dll" v0.0 ts=2002/2/20 3:05
>    45k 2002/02/08 C:\cygwin\bin\cygjbig1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygjbig1.dll" v0.0 ts=2002/2/7 23:59
>   119k 2002/02/09 C:\cygwin\bin\cygjpeg6b.dll - os=4.0 img=1.0 sys=4.0
>                   "cygjpeg6b.dll" v0.0 ts=2002/2/9 5:19
>    58k 2002/05/07 C:\cygwin\bin\cygbz2-1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygbz2-1.dll" v0.0 ts=2002/5/7 7:33
>     6k 2002/06/24 C:\cygwin\bin\cygcharset-1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygcharset-1.dll" v0.0 ts=2002/6/24 19:23
>   488k 2002/07/18 C:\cygwin\bin\cygguile-14.dll - os=4.0 img=1.0 sys=4.0
>                   "cygguile-14.dll" v0.0 ts=2002/7/18 11:35
>    63k 2002/07/18 C:\cygwin\bin\cygguile-srfi-srfi-13-14-1.dll - os=4.0
> img=1.0 sys=4.0
>                   "cygguile-srfi-srfi-13-14-1.dll" v0.0 ts=2002/7/18 11:35
>    24k 2002/07/18 C:\cygwin\bin\cygguile-srfi-srfi-4-1.dll - os=4.0 img=1.0
> sys=4.0
>                   "cygguile-srfi-srfi-4-1.dll" v0.0 ts=2002/7/18 11:35
>    14k 2002/07/18 C:\cygwin\bin\cygguilereadline-14.dll - os=4.0 img=1.0
> sys=4.0
>                   "cygguilereadline-14.dll" v0.0 ts=2002/7/18 11:35
>   929k 2002/06/24 C:\cygwin\bin\cygiconv-2.dll - os=4.0 img=1.0 sys=4.0
>                   "cygiconv-2.dll" v0.0 ts=2002/6/24 19:24
>    21k 2001/06/20 C:\cygwin\bin\cygintl.dll - os=4.0 img=1.0 sys=4.0
>                   "cygintl.dll" v0.0 ts=2001/6/20 18:09
>    22k 2001/12/13 C:\cygwin\bin\cygintl-1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygintl-1.dll" v0.0 ts=2001/12/13 9:28
>    23k 2002/06/24 C:\cygwin\bin\cygintl-2.dll - os=4.0 img=1.0 sys=4.0
>                   "cygintl-2.dll" v0.0 ts=2002/6/24 5:54
>    25k 2002/07/16 C:\cygwin\bin\cygltdl-3.dll - os=4.0 img=1.0 sys=4.0
>                   "cygltdl-3.dll" v0.0 ts=2002/7/16 5:05
>    45k 2001/04/25 C:\cygwin\bin\cygform5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygform5.dll" v0.0 ts=2001/4/25 6:28
>    26k 2001/04/25 C:\cygwin\bin\cygmenu5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygmenu5.dll" v0.0 ts=2001/4/25 6:27
>   156k 2001/04/25 C:\cygwin\bin\cygncurses++5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygncurses++5.dll" v0.0 ts=2001/4/25 6:29
>   226k 2001/04/25 C:\cygwin\bin\cygncurses5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygncurses5.dll" v0.0 ts=2001/4/25 6:17
>    15k 2001/04/25 C:\cygwin\bin\cygpanel5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygpanel5.dll" v0.0 ts=2001/4/25 6:27
>    35k 2002/01/09 C:\cygwin\bin\cygform6.dll - os=4.0 img=1.0 sys=4.0
>                   "cygform6.dll" v0.0 ts=2002/1/9 6:03
>    20k 2002/01/09 C:\cygwin\bin\cygmenu6.dll - os=4.0 img=1.0 sys=4.0
>                   "cygmenu6.dll" v0.0 ts=2002/1/9 6:03
>   175k 2002/01/09 C:\cygwin\bin\cygncurses++6.dll - os=4.0 img=1.0 sys=4.0
>                   "cygncurses++6.dll" v0.0 ts=2002/1/9 6:03
>   202k 2002/01/09 C:\cygwin\bin\cygncurses6.dll - os=4.0 img=1.0 sys=4.0
>                   "cygncurses6.dll" v0.0 ts=2002/1/9 6:03
>    12k 2002/01/09 C:\cygwin\bin\cygpanel6.dll - os=4.0 img=1.0 sys=4.0
>                   "cygpanel6.dll" v0.0 ts=2002/1/9 6:03
>   179k 2002/07/22 C:\cygwin\bin\cygpng12.dll - os=4.0 img=1.0 sys=4.0
>                   "cygpng12.dll" v0.0 ts=2002/7/22 17:03
>    22k 2002/06/09 C:\cygwin\bin\cygpopt-0.dll - os=4.0 img=1.0 sys=4.0
>                   "cygpopt-0.dll" v0.0 ts=2002/6/9 6:45
>    17k 2001/06/28 C:\cygwin\bin\cyghistory4.dll - os=4.0 img=1.0 sys=4.0
>                   "cyghistory4.dll" v0.0 ts=2001/1/7 4:34
>   108k 2001/06/28 C:\cygwin\bin\cygreadline4.dll - os=4.0 img=1.0 sys=4.0
>                   "cygreadline4.dll" v0.0 ts=2001/1/7 4:34
>    20k 2002/07/17 C:\cygwin\bin\cyghistory5.dll - os=4.0 img=1.0 sys=4.0
>                   "cyghistory5.dll" v0.0 ts=2002/7/17 22:18
>   127k 2002/07/17 C:\cygwin\bin\cygreadline5.dll - os=4.0 img=1.0 sys=4.0
>                   "cygreadline5.dll" v0.0 ts=2002/7/17 22:18
>   625k 2002/07/30 C:\cygwin\bin\cygcrypto.dll - os=4.0 img=1.0 sys=4.0
>                   "cygcrypto.dll" v0.0 ts=2002/7/30 16:32
>   160k 2002/07/30 C:\cygwin\bin\cygssl.dll - os=4.0 img=1.0 sys=4.0
>                   "cygssl.dll" v0.0 ts=2002/7/30 16:32
>    40k 2001/11/21 C:\cygwin\bin\cygpcre.dll - os=4.0 img=1.0 sys=4.0
>                   "cygpcre.dll" v0.0 ts=2001/11/21 22:15
>    39k 2001/11/21 C:\cygwin\bin\cygpcreposix.dll - os=4.0 img=1.0 sys=4.0
>                   "cygpcreposix.dll" v0.0 ts=2001/11/21 22:15
>    50k 2002/03/12 C:\cygwin\bin\cygz.dll - os=4.0 img=1.0 sys=4.0
>                   "cygz.dll" v0.0 ts=2002/3/12 4:38
>   883k 2002/07/06 C:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwin1.dll" v0.0 ts=2002/7/6 7:16
>     Cygwin DLL version info:
>         DLL version: 1.3.12
>         DLL epoch: 19
>         DLL bad signal mask: 19005
>         DLL old termios: 5
>         DLL malloc env: 28
>         API major: 0
>         API minor: 54
>         Shared data: 3
>         DLL identifier: cygwin1
>         Mount registry: 2
>         Cygnus registry name: Cygnus Solutions
>         Cygwin registry name: Cygwin
>         Program options name: Program Options
>         Cygwin mount registry name: mounts v2
>         Cygdrive flags: cygdrive flags
>         Cygdrive prefix: cygdrive prefix
>         Cygdrive default prefix:
>         Build date: Sat Jul 6 02:16:58 EDT 2002
>         CVS tag: cygwin-1-3-12-1
>         Shared id: cygwin1S3
> 
> Cygwin Package Information
> Last downloaded files to: "Ùs
> Last downloaded files from: "Ùs
> 
> Package             Version
> XFree86-base        4.2.0-1
> XFree86-bin         4.2.0-2
> XFree86-etc         4.2.0-1
> XFree86-fenc        4.2.0-2
> _update-info-dir    00039-1
> ash                 20020731-1
> autoconf            2.53b-1
> autoconf-devel      2.53a-1
> autoconf-stable     2.13-4
> automake            1.6.2-1
> automake-devel      1.6.2-1
> automake-stable     1.4p5-5
> bash                2.05b-2
> binutils            20020706-2
> bison               1.35-1
> byacc               1.9-1
> bzip2               1.0.2-2
> clear               1.0-1
> crypt               1.0-1
> ctags               5.2-1
> cygutils            1.1.2-1
> cygwin              1.3.12-2
> cygwin-doc          1.0-1
> diff                1.0-1
> diffutils           2.8.1-1
> file                3.37-1
> fileutils           4.1-1
> findutils           4.1.7-4
> flex                2.5.4-2
> gawk                3.0.4-1
> gcc                 2.95.3-5
> gdb                 20010428-3
> gdbm                1.8.0-4
> gettext             0.11.2-2
> grep                2.5-1
> groff               1.17.2-1
> guile               1.5.6-5
> gzip                1.3.3-3
> inetutils           1.3.2-19
> jbigkit             1.2-6
> jpeg                6b-7
> less                374-1
> libbz2_1            1.0.2-2
> libcharset1         1.8-2
> libguile14          1.5.6-5
> libiconv2           1.8-2
> libintl             0.10.38-3
> libintl1            0.10.40-1
> libintl2            0.11.2-2
> libltdl3            20020705-2
> libncurses5         5.2-1
> libncurses6         5.2-8
> libpng              1.2.4-2
> libpng12            1.2.4-2
> libpopt0            1.6.4-4
> libreadline4        4.1-2
> libreadline5        4.3-1
> libtool             20020705-1
> libtool-devel       20020705-2
> libtool-stable      1.4.2-2
> login               1.4-3
> make                3.79.1-7
> man                 1.5g-2
> mingw-runtime       2.0-2
> mktemp              1.4-1
> mt                  2.0.1-1
> ncftp               3.1.4-1
> ncurses             5.2-8
> newlib-man          20001118-1
> openssh             3.4p1-5
> openssl             0.9.6e-1
> patch               2.5-3
> pcre                3.7-1
> perl                5.6.1-2
> pkgconfig           0.12.0-1
> popt                1.6.4-4
> readline            4.3-1
> rxvt                2.7.2-10
> sed                 3.02-1
> sh-utils            2.0-2
> tar                 1.13.19-1
> termcap             20020403-1
> terminfo            5.2-3
> texinfo             4.2-3
> textutils           2.0.21-1
> time                1.7-1
> vim                 6.1-2
> w32api              1.5-1
> wget                1.8.2-1
> which               1.5-1
> zlib                1.1.4-1
> 
> 
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/